Bug 1307146 - brick crash in pl_inode_client_cleanup
brick crash in pl_inode_client_cleanup
Status: CLOSED DUPLICATE of bug 1184417
Product: GlusterFS
Classification: Community
Component: locks (Show other bugs)
3.6.8
All All
unspecified Severity urgent
: ---
: ---
Assigned To: Krutika Dhananjay
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 15:04 EST by Joe Julian
Modified: 2016-02-22 02:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 02:50:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core (1.13 MB, application/x-gzip)
2016-02-12 21:11 EST, Joe Julian
no flags Details

  None (edit)
Description Joe Julian 2016-02-12 15:04:51 EST
[2016-02-12 19:44:18.763260] I [server.c:518:server_rpc_notify] 0-gv-cinder-server: disconnecting connection from storage04-17008-2016/02/12-19:31:56:728737-gv-cinder-client-3-0-0
[2016-02-12 19:44:18.773740] W [inodelk.c:404:pl_inodelk_log_cleanup] 0-gv-cinder-server: releasing lock on b8b58762-fd76-4d23-9683-50abf6447d2e held by {client=0x7f801df310d0, pid=-6 lk-owner=68fc4370ff7e0000}
[2016-02-12 19:44:18.773780] W [inodelk.c:404:pl_inodelk_log_cleanup] 0-gv-cinder-server: releasing lock on f80600fc-7f7f-0000-0807-00fc7f7f0000 held by {client=0x7f7ffc0006a8, pid=0 lk-owner=}
[2016-02-12 19:44:18.773802] W [inodelk.c:404:pl_inodelk_log_cleanup] 0-gv-cinder-server: releasing lock on b8b58762-fd76-4d23-9683-50abf6447d2e held by {client=0x7f801df310d0, pid=-6 lk-owner=68fc4370ff7e0000}
[2016-02-12 19:44:18.773843] W [inodelk.c:404:pl_inodelk_log_cleanup] 0-gv-cinder-server: releasing lock on b8b58762-fd76-4d23-9683-50abf6447d2e held by {client=0x7f801df310d0, pid=-6 lk-owner=68fc4370ff7e0000}
[2016-02-12 19:44:18.773861] W [inodelk.c:404:pl_inodelk_log_cleanup] 0-gv-cinder-server: releasing lock on 8f787374-3b1a-4a0e-8ec5-41f41724c22d held by {client=0x7f801df24b80, pid=-6 lk-owner=f0b17532c27f0000}
[2016-02-12 19:44:18.773877] W [inodelk.c:404:pl_inodelk_log_cleanup] 0-gv-cinder-server: releasing lock on 180800fc-7f7f-0000-2808-00fc7f7f0000 held by {client=0x7f7ffc0007c8, pid=0 lk-owner=}
pending frames:
patchset: git://git.gluster.com/glusterfs.git
signal received: 11
time of crash: 
2016-02-12 19:44:18
configuration details:
argp 1
backtrace 1
dlfcn 1
libpthread 1
llistxattr 1
setfsid 1
spinlock 1
epoll.h 1
xattr.h 1
st_atim.tv_nsec 1
package-string: glusterfs 3.6.8
/usr/lib/x86_64-linux-gnu/libglusterfs.so.0(_gf_msg_backtrace_nomem+0xaf)[0x7f801b9c8cef]
/usr/lib/x86_64-linux-gnu/libglusterfs.so.0(gf_print_trace+0x341)[0x7f801b9e23c1]
/lib/x86_64-linux-gnu/libc.so.6(+0x364a0)[0x7f801afd24a0]
/usr/lib/x86_64-linux-gnu/glusterfs/3.6.8/xlator/features/locks.so(pl_inodelk_client_cleanup+0xff)[0x7f8016128f3f]
/usr/lib/x86_64-linux-gnu/glusterfs/3.6.8/xlator/features/locks.so(+0xe84a)[0x7f801612684a]
/usr/lib/x86_64-linux-gnu/libglusterfs.so.0(gf_client_disconnect+0x5d)[0x7f801ba1d73d]
/usr/lib/x86_64-linux-gnu/glusterfs/3.6.8/xlator/protocol/server.so(server_connection_cleanup+0x4e0)[0x7f8015276270]
/usr/lib/x86_64-linux-gnu/glusterfs/3.6.8/xlator/protocol/server.so(server_rpc_notify+0x17c)[0x7f80152706ec]
/usr/lib/x86_64-linux-gnu/libgfrpc.so.0(rpcsvc_handle_disconnect+0x10b)[0x7f801b798f1b]
/usr/lib/x86_64-linux-gnu/libgfrpc.so.0(rpcsvc_notify+0x140)[0x7f801b7990b0]
/usr/lib/x86_64-linux-gnu/libgfrpc.so.0(rpc_transport_notify+0x27)[0x7f801b79c257]
/usr/lib/x86_64-linux-gnu/glusterfs/3.6.8/rpc-transport/socket.so(+0xb077)[0x7f8016ffc077]
/usr/lib/x86_64-linux-gnu/libglusterfs.so.0(+0x7493b)[0x7f801ba1f93b]
/usr/sbin/glusterfsd(main+0x4f1)[0x7f801be70f71]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed)[0x7f801afbd76d]
/usr/sbin/glusterfsd(+0x630d)[0x7f801be7130d]
Comment 1 Joe Julian 2016-02-12 21:00:00 EST
Thread 22 (Thread 0x7f12453a3700 (LWP 4058)):
#0  0x00007f12504c9d84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f124c2dbf3b in ?? ()
#2  0x00007f12453a2e90 in ?? ()
#3  0x00007f12519c26b0 in ?? ()
#4  0x00007f1251982530 in ?? ()
#5  0x0000000000000001 in ?? ()
#6  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f124db6a700 (LWP 3879)):
#0  0x00007f12504cd9f7 in do_sigwait () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12504cda79 in sigwait () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007f1250fd5e12 in glusterfs_sigwaiter ()
#3  0x00007f12504c5e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#4  0x00007f12501f23fd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f1237bab700 (LWP 1624)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f12373a3700 (LWP 8867)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f1237dad700 (LWP 4232)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f12372a2700 (LWP 28885)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f12376a6700 (LWP 972)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f1237aaa700 (LWP 1625)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f12374a4700 (LWP 27427)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f12379a9700 (LWP 11442)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f1245ba4700 (LWP 4057)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f124c2d8e5a in ?? ()
#2  0x00007f122c002830 in ?? ()
#3  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f12463a5700 (LWP 4055)):
#0  0x00007f12501be08d in nanosleep () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f12501bdf2c in sleep () from /lib/x86_64-linux-gnu/libc.so.6
#2  0x00007f124c2dbc38 in ?? ()
#3  0x000000000000001e in ?? ()
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f12378a8700 (LWP 970)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f12377a7700 (LWP 971)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f1237cac700 (LWP 1623)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f1244b68700 (LWP 3881)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1250b67fe3 in syncenv_task () from /usr/lib/x86_64-linux-gnu/libglusterfs.so.0
---Type <return> to continue, or q <return> to quit---
#2  0x00007f1250b68440 in syncenv_processor () from /usr/lib/x86_64-linux-gnu/libglusterfs.so.0
#3  0x00007f12504c5e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#4  0x00007f12501f23fd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f124d369700 (LWP 3880)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1250b67fe3 in syncenv_task () from /usr/lib/x86_64-linux-gnu/libglusterfs.so.0
#2  0x00007f1250b68440 in syncenv_processor () from /usr/lib/x86_64-linux-gnu/libglusterfs.so.0
#3  0x00007f12504c5e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#4  0x00007f12501f23fd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f124e36b700 (LWP 3878)):
#0  0x00007f12504cd52d in nanosleep () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f1250b464dc in gf_timer_proc () from /usr/lib/x86_64-linux-gnu/libglusterfs.so.0
#2  0x00007f12504c5e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#3  0x00007f12501f23fd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f12464a6700 (LWP 4014)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f12465a7700 (LWP 4013)):
#0  0x00007f12504c9d84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12473a87fb in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f12375a5700 (LWP 973)):
#0  0x00007f12504ca0fe in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f12477bb032 in ?? ()
#2  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f1250fba700 (LWP 3877)):
#0  0x00007f1250b29174 in gf_log_flush () from /usr/lib/x86_64-linux-gnu/libglusterfs.so.0
#1  0x00007f1250b440cd in gf_print_trace () from /usr/lib/x86_64-linux-gnu/libglusterfs.so.0
#2  <signal handler called>
#3  0x00007f1250b43865 in lkowner_utoa () from /usr/lib/x86_64-linux-gnu/libglusterfs.so.0
#4  0x00007f12479d1f62 in ?? ()
#5  0x00007f12519caae0 in ?? ()
#6  0x00007f1251a17950 in ?? ()
#7  0x0000000000000000 in ?? ()
Comment 2 Joe Julian 2016-02-12 21:11 EST
Created attachment 1123700 [details]
core
Comment 3 Pranith Kumar K 2016-02-22 02:50:43 EST

*** This bug has been marked as a duplicate of bug 1184417 ***

Note You need to log in before you can comment on or make changes to this bug.